#!/bin/bash
#SBATCH -N 1
#SBATCH --partition=exfel
#SBATCH --time=12:00:00
#SBATCH --mail-type=END,FAIL
#SBATCH --output=logs/%j-%x.out

PROPOSAL=2719
DARK=$1
RUN=$2
MODULE_GROUP=$3

source /etc/profile.d/modules.sh
module load exfel
module load exfel_anaconda3/1.1

echo processing run $RUN
OUTPATH=/gpfs/exfel/exp/SCS/202002/p002719/scratch/tests
mkdir $OUTPATH/r$RUN

# Run papermill
python3 -c "import papermill as pm; pm.execute_notebook('Dask DSSC module binning.ipynb', \
'$OUTPATH/r$RUN/output$MODULE_GROUP.ipynb', \
parameters=dict(proposalNB='$PROPOSAL', dark_runNB='$DARK', runNB='$RUN', module_group='$MODULE_GROUP', \
path='$OUTPATH/r$RUN/', kernel='xfel'))" 
